View Issue Details

IDProjectCategoryView StatusLast Update
0000648SymmetricDSBugpublic2014-02-02 20:52
ReporterabrougherAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.1 
Target Version3.0.2Fixed in Version3.0.2 
Summary0000648: Nested database transactions prevents H2 installation from deleting transforms sometimes.
DescriptionA nested transaction is occasional created under the right circumstances. This results in a query request to timeout after 60 seconds. If using pro, the UI will be stuck for 60 seconds during this timeout. This happens maybe 1 out of 4 times when continually deleting transforms.
Steps To Reproduce1) On an H2 installation create 5 new transforms.

2) Delete the transforms one by one.

   Eventually, one of the deletes will cause a refreshCache to run, causing a nested transaction. If using pro, the UI will freeze up until the transaction times out after 60 seconds.
TagsNo tags attached.

Activities

abrougher

2012-06-14 10:53

developer   ~0000004

Please review.

I moved the nested transaction (refreshCache()) after the transaction.commit().

Related Changesets

SymmetricDS: master ca6530cf

2012-06-14 10:55:52

abrougher

Details Diff
Issue 0000648

A nested transaction is occasional created under the right circumstances. This results in a query request to timeout after 60 seconds. If using pro, the UI will be stuck for 60 seconds during this timeout. This happens maybe 1 out of 4 times when continually deleting transforms.

I moved the nested transaction (refreshCache()) after the transaction.commit().

0000648
mod - symmetric/symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File

Issue History

Date Modified Username Field Change
2012-06-14 10:48 abrougher New Issue
2012-06-14 10:48 abrougher Status new => assigned
2012-06-14 10:48 abrougher Assigned To => abrougher
2012-06-14 10:53 abrougher Note Added: 0000004
2012-06-14 10:53 abrougher Status assigned => resolved
2012-06-14 10:53 abrougher Fixed in Version => 3.0.1
2012-06-14 10:53 abrougher Resolution open => fixed
2012-06-14 10:53 abrougher Assigned To abrougher => chenson
2012-06-18 12:10 chenson Status resolved => feedback
2012-06-18 12:10 chenson Resolution fixed => reopened
2012-06-18 12:10 chenson Status feedback => resolved
2012-06-18 12:10 chenson Fixed in Version 3.0.1 => 3.0.2
2012-06-18 12:10 chenson Resolution reopened => fixed
2012-06-23 11:48 admin Status resolved => closed
2014-02-02 20:52 abrougher Changeset attached => SymmetricDS trunk r5875
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master ca6530cf